package com.ruoyi.project.zjsgfa.service;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjLjsm;

/**
 * 设计信息-邻井扫描Service接口
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
public interface ISjLjsmService 
{
    /**
     * 查询设计信息-邻井扫描
     * 
     * @param id 设计信息-邻井扫描主键
     * @return 设计信息-邻井扫描
     */
    public SjLjsm selectSjLjsmById(Long id);

    /**
     * 查询设计信息-邻井扫描列表
     * 
     * @param sjLjsm 设计信息-邻井扫描
     * @return 设计信息-邻井扫描集合
     */
    public List<SjLjsm> selectSjLjsmList(SjLjsm sjLjsm);

    /**
     * 新增设计信息-邻井扫描
     * 
     * @param sjLjsm 设计信息-邻井扫描
     * @return 结果
     */
    public int insertSjLjsm(SjLjsm sjLjsm);

    /**
     * 修改设计信息-邻井扫描
     * 
     * @param sjLjsm 设计信息-邻井扫描
     * @return 结果
     */
    public int updateSjLjsm(SjLjsm sjLjsm);

    /**
     * 批量删除设计信息-邻井扫描
     * 
     * @param ids 需要删除的设计信息-邻井扫描主键集合
     * @return 结果
     */
    public int deleteSjLjsmByIds(Long[] ids);

    /**
     * 删除设计信息-邻井扫描信息
     * 
     * @param id 设计信息-邻井扫描主键
     * @return 结果
     */
    public int deleteSjLjsmById(Long id);
}
